#ifndef __junctions_h_
#define __junctions_h_
#include "adevs.h"

#define LEFT 0
#define RIGHT 1
#define CENTER 2

class junction: public cell_interface, public atomic
{
	public:
		junction(double x = 0.0, double UJ0 = 0.0);
		double pressure() const { return UJ; }
		void init();
		void delta_int();
		void delta_ext(double e, const adevs_bag<PortValue>& x);
		void delta_conf(const adevs_bag<PortValue>& x);
		void output_func(adevs_bag<PortValue>& y);
		void save_state();
		void restore_state(double t);
		void remove_fossils(double t);
		void gc_output(adevs_bag<PortValue>& g){}
		~junction(){}
	private:
		struct state_t
		{
			double UJ, Uout[2], delay, tL, tN;
		};
		adevs_iss<state_t> iss;
		double UJ, Uout[2], Z[3], delay;

		junction(const junction& src){}
		void operator=(const junction& src){}
};

#endif
