#ifndef __glendale_h_
#define __glendale_h_
#include "cell.h"

/**
Test material.  Uses Glendale clay loam parameters.
*/
class Glendale: public MaterialParams
{
	public:
		double width() const;
		double height() const;
		/// Get the initial pressure
		double h0(double x, double y) const;
		/// Get the pressure flux
		double qs(double x, double y) const;
		/// Compute hydraulic conductivity
		double K(double x, double y, double h) const;
		/// Compute moisture capacitance
		double C_Ss(double x, double y, double h) const;
		/// Compute moisture content
		double theta(double x, double y, double h) const;
		bool saturated(double x, double y, double h) const;
	private:
		/// Material properties
		static const double K_s;
		static const double theta_s;
		static const double theta_r;
		static const double alpha;
		static const double n;
};

#endif
